function ind = get_var_ind( this, op_name, var_name )

% ind = get_var_ind( this, op_name, var_name )


%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


op_ind = get_op_ind( this, op_name );

ind = find( strcmp( this.var_names{op_ind}, var_name ) );
if isempty( ind )
  switch var_name
   case 'call_iters'
    ind = length( this.var_names{ op_ind } ) + 1;
   case 'cputimer start'
    ind = length( this.var_names{ op_ind } ) + 2;
   case 'cputimer stop'
    ind = length( this.var_names{ op_ind } ) + 3;
   otherwise
    error([ 'Unknown variable for operation ' op_name ': ' var_name ]);
  end
end


return;
