function Output = display_batch_var_pairs(Summary, N, show_details, ...
                                          nodisplay)



%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Output{1} = Summary.PairOccurrencies(N,N);

n = length(N);

if nodisplay, return; end

imagesc(Output{1})
set(gca, 'ydir', 'normal', 'ytick', 1:n, 'yticklabel', N, 'xtick', 1:n, ...
         'xticklabel', N);
colorbar
colormap(sqrt(1-gray))
xlabel('Variable n:o')
ylabel('Variable n:o')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
